diff -u canna-3.7p3/debian/changelog canna-3.7p3/debian/changelog
--- canna-3.7p3/debian/changelog
+++ canna-3.7p3/debian/changelog
@@ -1,3 +1,17 @@
+canna (3.7p3-6.5) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Urgency high due to RC bug fix
+  * Fix problem when trying to delete user twice on purge (postrm purge
+    might be indeed called twice; see http://lists.debian.org/debian-devel/2002/10/msg00345.html
+    for details) (Closes: #579312)
+  * Use userdel instead of the non-essential deluser in postrm
+  * Include danish debconf template (Closes: #589865)
+  * Also fix lintian error on weak library dependency for libcanna1g-dev
+    on libcanna1g by version the dependency with (= ${binary:Version})
+
+ -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 24 Nov 2010 11:31:07 +0100
+
 canna (3.7p3-6.4) unstable; urgency=low
 
   * Non-maintainer upload.
diff -u canna-3.7p3/debian/postrm canna-3.7p3/debian/postrm
--- canna-3.7p3/debian/postrm
+++ canna-3.7p3/debian/postrm
@@ -5,7 +5,12 @@
 case "$1" in
     purge)
     rm -rf /var/log/canna
-    deluser --remove-home canna
+    # see http://lists.debian.org/debian-devel/2002/10/msg00345.html
+    # debhelper might cause this script to be called twice on purge
+    # therefore test, if the user exists before trying to remove it
+    if getent passwd canna >/dev/null ;  then
+      userdel --remove canna
+    fi
     rm -f /etc/default/canna
     rm -f /etc/hosts.canna
     rm -rf /var/lib/canna/dic/group
diff -u canna-3.7p3/debian/control canna-3.7p3/debian/control
--- canna-3.7p3/debian/control
+++ canna-3.7p3/debian/control
@@ -53,7 +53,7 @@
 Package: libcanna1g-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcanna1g
+Depends: ${misc:Depends}, libcanna1g (= ${binary:Version})
 Conflicts: canna-dev, libcanna1-dev, canna (<= 3.5b2-23)
 Replaces: canna-dev
 Description: input system for Japanese - development files
only in patch2:
unchanged:
--- canna-3.7p3.orig/debian/po/da.po
+++ canna-3.7p3/debian/po/da.po
@@ -0,0 +1,150 @@
+# Danish translation canna.
+# Copyright (C) 2010 canna & nedenstÃ¥ende oversÃŠtttere.
+# This file is distributed under the same license as the canna package.
+# Joe Hansen <joedalton2@yahoo.dk>, 2010
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: canna\n"
+"Report-Msgid-Bugs-To: canna@packages.debian.org\n"
+"POT-Creation-Date: 2009-05-03 07:53+0200\n"
+"PO-Revision-Date: 2010-07-21 14:44+0200\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
+"Language-Team: Danish <debian-l10n-danish@lists.debian.org> \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid "Should the Canna server run automatically?"
+msgstr "Skal Cannaserveren kÃžre automatisk?"
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"This package contains the Canna server and server-related utilities. If you "
+"are only interested in these utilities, you can disable the Canna server now."
+msgstr ""
+"Denne pakke indeholder Cannaserveren og serverforbundne vÃŠrktÃžjer. Hvis du "
+"kun er interesseret i disse vÃŠrktÃžjer, kan du deaktivere Cannaserveren nu."
+
+#. Type: boolean
+#. Description
+#: ../templates:3001
+msgid "Should the Canna server run in network mode?"
+msgstr "Skal Cannaserveren kÃžre i netvÃŠrkstilstand?"
+
+#. Type: boolean
+#. Description
+#: ../templates:3001
+msgid ""
+"By default the Canna server will run without support for network "
+"connections, and will only accept connections on UNIX domain sockets, from "
+"clients running on the same host."
+msgstr ""
+"Som standard vil Cannaserveren kÃžre uden understÃžttelse af netvÃŠrksforbindelser, "
+"og vil kun acceptere forbindelser pÃ¥ UNIX-domÃŠnesokler, fra klienter som kÃžrer "
+"pÃ¥ den samme vÃŠrt."
+
+#. Type: boolean
+#. Description
+#: ../templates:3001
+msgid ""
+"If you choose this option, network support will be activated, and the Canna "
+"server will accept connections on TCP sockets from clients that may be on "
+"remote hosts. Some clients (such as egg and yc-el) require this mode even if "
+"they run on the local host."
+msgstr ""
+"Hvis du vÃŠlger denne indstilling, vil netvÃŠrksunderstÃžttelse blive aktiveret, "
+"og Cannaserveren vil acceptere forbindelser pÃ¥ TCP-sokler fra klienter, som er "
+"pÃ¥ eksterne vÃŠrter. Nogle klienter (sÃ¥som egg og yc-el) krÃŠver denne tilstand, "
+"selvom de kÃžrer pÃ¥ den lokale vÃŠrt."
+
+#. Type: boolean
+#. Description
+#: ../templates:4001
+msgid "Manage /etc/hosts.canna automatically?"
+msgstr "HÃ¥ndtere /etc/hosts.canna automatisk?"
+
+#. Type: boolean
+#. Description
+#: ../templates:4001
+msgid ""
+"The /etc/hosts.canna file lists hosts allowed to connect to the Canna server."
+msgstr ""
+"Filen /etc/hosts.canna viser vÃŠrter, som har lov til at forbinde til Cannaserveren."
+
+#. Type: boolean
+#. Description
+#: ../templates:4001
+msgid ""
+"You should not accept this option if you prefer managing the file's contents "
+"manually."
+msgstr ""
+"Du skal ikke acceptere denne indstilling, hvis du foretrÃŠkker at hÃ¥ndtere "
+"filens indhold manuelt."
+
+#. Type: string
+#. Description
+#: ../templates:5001
+msgid "Hosts allowed to connect to this Canna server:"
+msgstr "VÃŠrter med tilladelse til at forbinde til denne Cannaserver:"
+
+#. Type: string
+#. Description
+#: ../templates:5001
+msgid ""
+"Please enter the names of the hosts allowed to connect to this Canna server, "
+"separated by spaces."
+msgstr ""
+"Indtast venligst navnene pÃ¥ vÃŠrterne som har lov til at forbinde til denne "
+"Cannaserver, adskilt af mellemrum."
+
+#. Type: string
+#. Description
+#: ../templates:5001
+msgid "You can use \"unix\" to allow access via UNIX domain sockets."
+msgstr "Du kan bruge Â»unixÂ« til at tillade adgang via UNIX-domÃŠnesokler."
+
+#. Type: select
+#. Description
+#: ../libcanna1g.templates:2001
+msgid "Canna input style:"
+msgstr "Inddatastil for Canna:"
+
+#. Type: select
+#. Description
+#: ../libcanna1g.templates:2001
+msgid ""
+"Please choose the default Canna input style:\n"
+" verbose: Canna3.5 default style with verbose comments;\n"
+" 1.1    : old Canna style (ver. 1.1);\n"
+" 1.2    : old Canna style (ver. 1.2);\n"
+" jdaemon: jdaemon style;\n"
+" just   : JustSystems ATOK style;\n"
+" lan5   : LAN5 style;\n"
+" matsu  : Matsu word processor style;\n"
+" skk    : SKK style;\n"
+" tut    : TUT-Code style;\n"
+" unix   : UNIX style;\n"
+" vje    : vje style;\n"
+" wx2+   : WX2+ style."
+msgstr ""
+"VÃŠlg venligst standardinddatastil for Canna:\n"
+" verbose: Canna3.5 standardstil med uddybende bemÃŠrkninger;\n"
+" 1.1    : gammel Cannastil (ver. 1.1);\n"
+" 1.2    : gammel Cannastil (ver. 1.2);\n"
+" jdaemon: jdaemon-stil;\n"
+" just   : JustSystems ATOK-stil;\n"
+" lan5   : LAN5-stil;\n"
+" matsu  : Tekstbehandlingsstil ala Matsu;\n"
+" skk    : SKK-stil;\n"
+" tut    : TUT-kodestil;\n"
+" unix   : UNIX-stil;\n"
+" vje    : vje-stil;\n"
+" wx2+   : WX2+-stil."
+
+
